using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    /// <summary>
    /// Summary description for Forum
    /// </summary>
    [Serializable]
    public class Forum
    {
        private int ciForumID;
        private string csForumName;
        private string csForumDesc;
        private string csForumLink;
        private string csForumImage;
        private int ciForumType;
        private int ciForumStatus;
        private int ciForumOrder;
        private long ciForumPosts;
        private long ciForumTopics;
        private long ciForumLastPostID;
        private string csForumLastPostSubject;
        private DateTime cdForumLastPostTime;
        private string csForumLastPosterName;

	    public Forum()
	    { }
        [Index]
        public int ID
        {
            get { return ciForumID; }
            set { ciForumID = value; }
        }

        public string ForumName
        {
            get { return csForumName; }
            set { csForumName = value; }
        }

        public string ForumDesc
        {
            get { return csForumDesc; }
            set { csForumDesc = value; }
        }

        public string ForumLink
        {
            get { return csForumLink; }
            set { csForumLink = value; }
        }

        public string ForumImage
        {
            get { return csForumImage; }
            set { csForumImage = value; }
        }

        public int ForumType
        {
            get { return ciForumType; }
            set { ciForumType = value; }
        }

        public int ForumStatus
        {
            get { return ciForumStatus; }
            set { ciForumStatus = value; }
        }

        public int ForumOrder
        {
            get { return ciForumOrder; }
            set { ciForumOrder = value; }
        }

        public long ForumPosts
        {
            get { return ciForumPosts; }
            set { ciForumPosts = value; }
        }

        public long ForumTopics
        {
            get { return ciForumTopics; }
            set { ciForumTopics = value; }
        }

        public long ForumLastPostID
        {
            get { return ciForumLastPostID; }
            set { ciForumLastPostID = value; }
        }

        public string ForumLastPostSubject
        {
            get { return csForumLastPostSubject; }
            set { csForumLastPostSubject = value; }
        }

        public DateTime ForumLastPostTime
        {
            get { return cdForumLastPostTime; }
            set { cdForumLastPostTime = value; }
        }

        public string ForumLastPosterName
        {
            get { return csForumLastPosterName; }
            set { csForumLastPosterName = value; }
        }
    }

    public class ForumList : BindingList<Forum>
    {
        public ForumList()
        { }
    }
}

